---
title: "安全技术高阶"
date: 2018-12-29
lastmod: 2020-01-05
weight: 3
type: docs
icon: #
description: "高阶高线图"
# search related keywords
---


![高校俱乐部](https://codechina.csdn.net/codechina/operation-work/uploads/53b24f5f44d3c851890b1789ed501001/%E9%AB%98%E6%A0%A1%E4%BF%B1%E4%B9%90%E9%83%A8320.jpg)

<p style="text-align:center;font-weight:bold;">关注“高校俱乐部”微信公众号，快人一步获取高清全套技术路线图</p>

<br>


{{< embed-pdf-view url="/images/security.pdf" >}}


### 威胁情报

- 数据关联分析与图检测
- 代码特征家族分析方法

### 漏洞挖掘与利用

- 高效Fuzzing技术
  - 本地Fuzzing
    - 完全随机
    - 格式变异
  - 网络Fuzzing
    - 完全随机
    - 格式变异
    - 时序（状态）变异
- 漏洞利用技术
  - 堆喷射技术（Heap spraying）
  - JIT喷射技术（JIT spraying）
  - 安全机制绕过方法
    - DEP绕过方法
    - UAC绕过方法
    - CFG绕过方法
  - 复合漏洞利用技术

### 二进制安全（高级）

- Rootkit
- 主动防御
  - 进程行为防御
  - 文件操作防御
  - 注册表（配置）防御
  - 网络行为防御
- 控制流攻击与防御
  - ROP/DOP/CFI
- 高级代码对抗技术
  - 虚拟指令（VMP）混淆技术

### 软件安全

- 编译构建
  - 词语法解析
  - AST构建及序列化
  - 中间指令及代码生成
- 程序分析
  - 编译流程基础概念
    - AST/CFG/CG
  - 程序分析基础原理
    - 活跃变量分析
    - SSA
    - 污点传播分析
  - 复杂程序分析方法
    - 数据流迭代分析
    - 静态符号执行
    - 约束求解
  - 分析架构
    - 增量分析
    - 全程序分析
- 软件安全原理
  - 软件漏洞成因，修复及缓解技术
  - 编程语言及开发工具的安全机制及检测技术
- 软件保护与破解
  - 代码加密保护
  - 软件防篡改技术
  - 软件水印
  - 软件多样化（多副本）
  - 反逆向技术
    - 反调试
    - 反混淆
    - 自修改代码
    - 代码分离
    - 虚拟机
  - 基于网络或硬件的保护

### 安全架构

- 企业安全建设与实践
  - 基于资产保护的安全建设
    - 基础安全架构
    - 业务安全建设
    - 安全合规和风控
  - 基于数据生命周期的安全建设
    - 数据采集、传输和存储安全
    - 数据处理和交换安全

### AI与安全

- AI与邮件检测
  - 邮件自动识别和分类方法
- AI与域名检测
  - DGA域名检测
- AI与样本分析
  - 二进制样本的聚类检测
  - 网络木马的聚类检测
- AI与WEB安全
  - WEB攻击的机器学习检测方法
- AI与日志分析
  - 机器学习的异常日志发现方法
- AI安全


## 相关学习资源

### 威胁情报

- 参照相关样本家族聚类分析的论文

### 漏洞挖掘与利用

- 《0day安全 （第2版）》
- 《漏洞战争 》

### 二进制安全（高级）

- 《Rootkits and Bootkits 》

### 软件安全

- 《软件加密与解密(图灵出品) 》
- 《编译原理》：龙书
- 《Secure programming with static analysis》
- 《漏洞》
- https://wiki.sei.cmu.edu/confluence/display/seccode/SEI+CERT+Coding+Standards
- 《C++反汇编与逆向分析技术揭秘》

### 安全架构

- 《企业安全建设指南：金融行业安全架构与技术实践》
- 《互联网企业安全高级指南 》
- 《大型互联网企业安全架构(博文视点出品) 》

### AI与安全

- 《WEB安全之机器学习入门》
- 《网络安全之机器学习》
- 《机器学习安全性问题及其防御技术研究综述》