---
title: "安全技术初阶"
date: 2018-12-29
lastmod: 2020-01-05
weight: 1
type: docs
icon: #
description: "初阶路线图"
# search related keywords
---


![高校俱乐部](https://codechina.csdn.net/codechina/operation-work/uploads/53b24f5f44d3c851890b1789ed501001/%E9%AB%98%E6%A0%A1%E4%BF%B1%E4%B9%90%E9%83%A8320.jpg)

<p style="text-align:center;font-weight:bold;">关注“高校俱乐部”微信公众号，快人一步获取高清全套技术路线图</p>

<br>


{{< embed-pdf-view url="/images/security.pdf" >}}

### 安全产品基础知识

- IPS及漏洞检测基本原理
  - IP碎片和流重组
  - 协议及格式异常检测
  - 协议状态检测
  - 多模式匹配
- 反病毒引擎基本原理
  - 查杀与免杀
  - 文件引擎
    - 各种文件格式特征匹配
    - 文件格式识别
  - 模拟器
    - 脚本模拟器
    - PE模拟器
  - 解包技术
    - 复合文档解密
    - 压缩包与安装包解压缩
- WAF基本原理
  - 反向代理、透明代理与流模式
  - HTTP协议合规性
  - SQL注入阻断
  - 跨站脚本、CSRF攻击防护
  - 表单、Cookie篡改防护
  - 敏感信息泄漏的防护
  - 目录遍历防护
  - 防扫描器探测攻击
  - 常见绕过技术
- Anti-DDOS基本原理
  - SYN Flood的防御
    - 随机丢包
    - 首报文丢弃
    - 特征匹配
    - 反向探测
    - Cookie验证
    - TCP代理
    - SafeReset算法
  - AckFlood的防御
    - 带宽限制
  - CC攻击防御
    - 协议栈行为分析
    - 限制代理
    - 验证码
    - HTTP Cookie
  - UDP Flood防御
    - 特征清洗
  - 反射攻击防御

### Web安全

- Web常见漏洞原理
  - SQL注入
  - 跨站脚本
  - 跨站请求伪造CSRF
  - 失效的身份认证和会话管理
  - 不安全的直接对象引用
  - 安全配置错误
  - 敏感信息泄漏
  - 未验证的重定向和转发
  - 供应链安全（使用含有已知漏洞的组件）
- 浏览器安全机制
  - 同源策略、CORS、CSP、CDM
  - HTTPS协议与数字证书
  - 沙盒和站点隔离
  - Firefox安全机制
    - 执行模型与内存布局及分配
    - 沙箱绕过技术
  - Chrome安全机制
    - 执行模型与内存布局及分配
    - 沙箱绕过技术
  - IE/Edge安全机制
    - 执行模型与内存布局及分配
    - 沙箱绕过技术

### 二进制安全

- 指令架构
  - X86/X64指令架构
  - ARM指令架构
  - MIPS指令架构
- 静态反汇编技术
  - IDA工具使用
  - Ghidra工具使用
  - Radare2使用
- 动态分析技术
  - Cuckoo沙箱的使用
- 基础动态调试
  - OD工具使用
  - WinDbg工具使用
  - GDB工具使用
- 操作系统安全机制
  - Android系统安全机制
    - 安全策略
    - 应用安全性
    - 网络安全性
    - 设备控制
  - macOS/iOS系统安全机制
    - 系统安全性
    - 加密与数据保护
    - 应用安全性
    - 网络安全性
    - 设备控制
  - Linux系统安全机制
    - CANNARY/Fortify
    - NX/PIE
    - RELRO
    - SELinux
  - Windows系统安全机制
    - 权限与访问控制
    - 证书和签名
    - SafeSEH、ASLR与DEP、SEHOP
    - UAC机制
    - CFG/RFG

### 密码学

- 密码学原理
  - 对称加密算法
  - 公钥密码技术
  - 签名
  - Hash函数
  - 密钥管理技术
- 密码学应用
  - OpenSSL
  - 区块链加密技术

### 渗透测试

- 渗透测试工具使用
  - Metasploit
  - Cobalt Strike
  - 域渗透及横向渗透工具
- 社会工程学

### 代码审计

- 流程跟踪方法
  - 代码人工分析方法
- 特征检测方法
  - 代码扫描工具的使用
    - Fortify工具

### 软件的安全生命周期

- SDL基本概念和过程
  - 安全需求与设计评审
  - 安全编码规范和checklist
  - 安全扫描工具与验证
  - 安全测试
  - 发布与安全应急响应
  - 安全培训


## 相关学习资源

### 安全产品基础知识

- http://www.snort.org/
- 《破坏之王-DDoS攻击与防范深度剖析》

### Web安全

- 《白帽子讲web安全》
- 《黑客大曝光 web应用安全机密与解决方案》

### 二进制安全

- 《x86/x64体系探索及编程 》
- 《Intel 开发者参考手册》》
- 《IDA Pro权威指南》
- 《软件调试 第2版》两卷
- 《构建安全的Android App》
- 《Android安全机制解析与应用实践》
- [《MacOS and iOS Internals》两卷](https://www.apple.com.cn/iphone/business/docs/iOS_Security_Guide.pdf)
- [《Windows Internals》](https://docs.microsoft.com/en-us/openspecs/windows_protocols/MS-WINPROTLP/df36f95e-6a6b-48d6-a3ae-35a17674f546?redirectedfrom=MSDN)

### 渗透测试

- 《Metasploit渗透测试指南（修订版）》
- 《内网安全攻防：渗透测试实战指南(博文视点出品) 》
- 《欺骗的艺术》《反欺骗的艺术》


### 代码审计

- 《代码审计：企业级Web代码安全架构》
- 《网络安全java代码审计实战》
- 《智能合约安全分析和审计指南 》

### 软件的安全生命周期

- 《软件的安全生命周期》